Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.decider
Class DefaultDecider

    java.lang.Object
      org.drools.planner.core.localsearch.decider.DefaultDecider

All Implemented Interfaces:
  EventListener, Decider, LocalSearchSolverPhaseLifecycleListener, LocalSearchSolverAware, SolverLifecycleListener

    public class DefaultDecider

extends Object
implements Decider

Default implementation of `Decider`.

Field Summary
`protected Acceptor` | `acceptor`
`protected boolean` | `assertMoveScoreIsUncorrupted`
`protected boolean` | `assertUndoMoveIsUncorrupted`
`protected Forager` | `forager`
`protected LocalSearchSolverPhase` | `localSearchSolverPhase`
`protected org.slf4j.Logger` | `logger`
`protected MoveSelector` | `moveSelector`
`protected Termination` | `termination`

Constructor Summary
`DefaultDecider()`

Method Summary
`void` | `decideNextStep(LocalSearchStepScope stepScope)` Decides the next step
`Forager` | `getForager()`
`void` | `phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `setAcceptor(Acceptor acceptor)`
`void` | `setAssertMoveScoreIsUncorrupted(boolean assertMoveScoreIsUncorrupted)`
`void` | `setAssertUndoMoveIsUncorrupted(boolean assertUndoMoveIsUncorrupted)`
`void` | `setForager(Forager forager)`
`void` | `setLocalSearchSolverPhase(LocalSearchSolverPhase localSearchSolverPhase)`
`void` | `setMoveSelector(MoveSelector moveSelector)`
`void` | `setTermination(Termination termination)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepEnded(LocalSearchStepScope localSearchStepScope)`
`void` | `stepStarted(LocalSearchStepScope localSearchStepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### localSearchSolverPhase

    protected LocalSearchSolverPhase localSearchSolverPhase

### termination

    protected Termination termination

### moveSelector

    protected MoveSelector moveSelector

### acceptor

    protected Acceptor acceptor

### forager

    protected Forager forager

### assertMoveScoreIsUncorrupted

    protected boolean assertMoveScoreIsUncorrupted

### assertUndoMoveIsUncorrupted

    protected boolean assertUndoMoveIsUncorrupted

Constructor Detail

### DefaultDecider

    public DefaultDecider()

Method Detail

### setLocalSearchSolverPhase

    public void setLocalSearchSolverPhase(LocalSearchSolverPhase localSearchSolverPhase)

  Specified by:
    `setLocalSearchSolverPhase` in interface `LocalSearchSolverAware`

### setTermination

    public void setTermination(Termination termination)

### setMoveSelector

    public void setMoveSelector(MoveSelector moveSelector)

### setAcceptor

    public void setAcceptor(Acceptor acceptor)

### getForager

    public Forager getForager()

  Specified by:
    `getForager` in interface `Decider`
  Returns:
    never null

### setForager

    public void setForager(Forager forager)

### setAssertMoveScoreIsUncorrupted

    public void setAssertMoveScoreIsUncorrupted(boolean assertMoveScoreIsUncorrupted)

### setAssertUndoMoveIsUncorrupted

    public void setAssertUndoMoveIsUncorrupted(boolean assertUndoMoveIsUncorrupted)

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`

### phaseStarted

    public void phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchSolverPhaseLifecycleListener`

### stepStarted

    public void stepStarted(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepStarted` in interface `LocalSearchSolverPhaseLifecycleListener`

### decideNextStep

    public void decideNextStep(LocalSearchStepScope stepScope)

  Description copied from interface: `Decider`
  Decides the next step

  Specified by:
    `decideNextStep` in interface `Decider`
  Parameters:
    `stepScope` - never null

### stepEnded

    public void stepEnded(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepEnded` in interface `LocalSearchSolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseEnded` in interface `LocalSearchSolverPhaseLifecycleListener`

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Specified by:
    `solvingEnded` in interface `SolverLifecycleListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.